Package org.bgerp.plugin.svc.dba.dao

# Class QueryHistoryDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.plugin.svc.dba.dao.QueryHistoryDAO

public class QueryHistoryDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryHistoryDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete(int userId, int id)`
  Deletes user history query.
  `String`
  `get(int userId, int id)`
  Gets user history query.
  `List<IdTitle>`
  `list(int userId)`
  Selects user queries with reverse sort by usage time.
  `void`
  `update(int userId, String query)`
  Inserts query in history log or updates last usage time.

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QueryHistoryDAO

    public QueryHistoryDAO(Connection con)

- ## Method Details

  - ### update

    public void update(int userId, String query) throws SQLException
    Inserts query in history log or updates last usage time.
    Parameters:
      `userId` - user ID.
      `query` - the query.
    Throws:
      `SQLException`

  - ### list

    public List<IdTitle> list(int userId) throws SQLException
    Selects user queries with reverse sort by usage time.
    Parameters:
      `userId` - user ID.
    Returns:
    Throws:
      `SQLException`

  - ### get

    public String get(int userId, int id) throws SQLException
    Gets user history query.
    Parameters:
      `userId` - user ID.
      `id` - query entity ID.
    Returns:
    Throws:
      `SQLException`

  - ### delete

    public void delete(int userId, int id) throws SQLException
    Deletes user history query.
    Parameters:
      `userId` -
      `id` -
    Throws:
      `SQLException`